:root {
    --black: #000000;
    --white: #faf3db;
    --whiteBackground: #ffffff;
    --grey: #6A6A6A;

    --margin100px: 100px;
    --marginSide: 100px;
    --gap20px: 20px;
}

* {
    margin: 0;
    padding: 0;
    text-wrap: pretty;
    overflow-wrap: break-word;
    /* modern, preferred */
}


body {
    background-color: var(--whiteBackground);
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 600;
    font-style: normal;
}


/*general*/
::-moz-selection {
    background-color: var(--black);
    color: var(--whiteBackground);
}

::selection {
    background-color: var(--black);
    color: var(--whiteBackground);
}

.home ::-moz-selection {
    background-color: var(--white) !important;
    color: var(--black) !important;
}

.home ::selection {
    background-color: var(--white) !important;
    color: var(--black) !important;
}

.padding-side {
    padding: 0 var(--margin100px);
}

.grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    row-gap: var(--gap20px);
    column-gap: var(--gap20px);
}

.width-margin {
    width: calc(100% - var(--margin100px) * 2);
}

.span-1 {
    grid-column: span 1;
}

.span-2 {
    grid-column: span 2;
}

.span-3 {
    grid-column: span 3;
}

.span-4 {
    grid-column: span 4;
}

.span-5 {
    grid-column: span 5;
}

.span-6 {
    grid-column: span 6;
}

.span-7 {
    grid-column: span 7;
}

.span-8 {
    grid-column: span 8;
}

.span-9 {
    grid-column: span 9;
}

.span-10 {
    grid-column: span 10;
}

.span-11 {
    grid-column: span 11;
}

.span-12 {
    grid-column: span 12;
}

.span-9-start-4 {
    grid-column: 4 / span 9;
}

.span-3-start-9 {
    grid-column: 10 / span 3;
}

 .mobile-none{
        display: block;
    }

    .desktop-none{
        display: none;
    }

/*fonts*/
a {
    cursor: pointer;
    color: var(--black);
    text-decoration: none;
}

.home a {
    color: var(--white);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

strong {
    font-family: "neue-haas-grotesk-display", sans-serif;
    font-weight: 700;
    font-style: normal;
}

p {
    font-size: 25px;
    text-wrap: pretty;
    filter: blur(1px);
    font-weight: 600;
}

span {
    font-size: 25px;
    text-wrap: pretty;
    filter: blur(1px);
    font-weight: 600;
}

.p-credits {
    font-size: 15px;
}

h1 {
    font-size: 80px;
    line-height: 80px;
    filter: blur(2px);

    text-shadow:
        -1px -1px 0 var(--black),
        1px -1px 0 var(--black),
        -1px 1px 0 var(--black),
        1px 1px 0 var(--black);

    text-wrap: balance;
}

.h1 p {
    font-size: 80px;
    line-height: 80px;
    filter: blur(2px);

    text-shadow:
        -1px -1px 0 var(--black),
        1px -1px 0 var(--black),
        -1px 1px 0 var(--black),
        1px 1px 0 var(--black);

    text-wrap: balance;
}

.home .h1 p {
    text-shadow:
        -1px -1px 0 var(--white),
        1px -1px 0 var(--white),
        -1px 1px 0 var(--white),
        1px 1px 0 var(--white);

    text-wrap: balance;
}

.home h1 {
    text-shadow:
        -1px -1px 0 var(--white),
        1px -1px 0 var(--white),
        -1px 1px 0 var(--white),
        1px 1px 0 var(--white);
}

h2 {
    font-size: 60px;
    line-height: 60px;
    filter: blur(2px);

    text-shadow:
        -1px -1px 0 var(--black),
        1px -1px 0 var(--black),
        -1px 1px 0 var(--black),
        1px 1px 0 var(--black);

    text-wrap: balance;
}

.home h2 {
    text-shadow:
        -1px -1px 0 var(--white),
        1px -1px 0 var(--white),
        -1px 1px 0 var(--white),
        1px 1px 0 var(--white);
}


.underline {
    text-decoration: underline;
}

.underline:hover{
    text-decoration: underline;
}

.flex-main {
    display: flex;
    flex-direction: column;
    row-gap: 100px;
}


/**/
.margin-side {
    margin: 0 var(--margin100px);
}

.align-center {
    text-align: center;
}

.align-right {
    text-align: right;
}

.margin-top-page {
    margin-top: var(--margin100px);
}

/*header*/
header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: var(--gap20px) var(--margin100px);
    width: calc(100% - (var(--margin100px) * 2));
    position: sticky;
    top: 0;
    z-index: 2;
    mix-blend-mode: difference;
}

header p {
    color: var(--white);
    font-size: 20px;
}

header nav ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 2em;
}

header li {
    font-size: 20px;
    text-wrap: pretty;
    list-style: none;
    position: relative;
    color: var(--white);
    filter: blur(1px);
}

header li a {
    color: var(--white);
    text-decoration: none;
}

header li::before {
    content: "+";
    margin-right: 0.3em;
    color: inherit;
    font-weight: bold;
}

.header-nav .current-menu-item>a {
    text-decoration: underline;
}

.header-logo {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5em;
}

.header-logo a {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5em;
    text-decoration: none;
}

.header-logo img {
    mix-blend-mode: difference;
    height: 1em;
    filter: blur(1px);
}

.header-language {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5em;
    justify-content: flex-end;
}

.header-language-link.active p {
    text-decoration: underline;
}

.header-language a {
    color: var(--white);
    text-decoration: none;
    font-size: 20px;
}


/*homepage*/
.landing-video {
    width: 100vw;
    height: calc(var(--vh, 1h)* 100);
    position: fixed;
    top: 0;
    z-index: -1;
}

.landing-hero {
    padding-top: 40px;
    height: calc((var(--vh, 1h)* 100) - 40px - 20px - 20px - 20px);
    width: calc(100% - var(--margin100px) *2);
}

.landing-hero-2 {
    display: flex;
    justify-content: flex-end;
    align-content: center;
    align-items: center;
}

.landing-hero-3 {
    align-self: flex-end;
    padding-bottom: 40px;
}

.landing-video video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.landing-info {
    color: var(--white);
}

.landing-info-flex {
    display: flex;
    flex-direction: row;
    row-gap: 40px;
    width: 100%;
    justify-content: space-between;
}

.landing-hero .landing-logo {
    display: flex;
    align-items: flex-start;
    justify-content: flex-end;
}

.landing-logo svg {
    width: 250px;
    height: auto;
    filter: blur(2px);
}


.landing-margintop-1 {
    padding-top: calc((var(--vh, 1h)* 100) / 3);
}

.landing-margintop-2 {
    padding-top: calc((var(--vh, 1h)* 100) / 6);
}

.landing-desktop {
    display: block;
}

.landing-mobile {
    display: none;
}




/*footer*/
footer {
    padding: 200px 0 calc(var(--gap20px) * 2) 0;
    width: calc(100% - var(--margin100px) *2);
}

footer p {
    font-size: 20px;
}

.home footer h2 {
    color: var(--white);
}

footer h2 {
    color: var(--black);
}

.footer-items {
    display: flex;
    flex-direction: column;
    color: var(--black)
}

.home .footer-items {
    color: var(--white);
}

.footer-main {
    display: flex;
    flex-direction: column;
    gap: var(--margin100px);
}

.footer-main-items {
    width: 100%;
}



/*about*/
main div {
    width: 100%;
}

.logos-main {
    display: flex;
    flex-direction: column;
    gap: var(--gap20px);
}

.logos {
    display: flex;
    flex-direction: row;
    gap: var(--gap20px);
    align-items: flex-start;
    flex-wrap: wrap;
}

.logos img {
    height: 70px;
    filter: blur(0) !important;
}

.textModel2-right {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

/*general elements*/
.image-full {
    width: 100%;
    position: relative;
}

.image-full img {
    width: 100%;
}

.image-half-main {
    display: flex;
    flex-direction: row;
    gap: 0;
}

.image-half {
    aspect-ratio: 3 / 4;
    width: 50%;
    position: relative;
}

.image-half img {
    width: 100%;
    height: 100%;
    object-fit: cover;

}

.image-credits {
    position: absolute;
    bottom: 0;
    background-color: var(--whiteBackground);
    width: fit-content;
}

.elements-gap {
    row-gap: calc(var(--margin100px) / 2);
}

.line-top {
    position: relative;
    padding-top: 25px;
}

.line-top::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 6px;
    background: var(--black);
    filter: blur(1px);
    pointer-events: none;
}


@media (min-width: 769px) and (max-width: 1024px) {
    :root {
        --marginSide: 60px;
         --margin100px: 50px;
    }


    /*fonts*/
    /*general*/
    .grid {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
        row-gap: 20px;
        column-gap: 20px;
    }

    .margin-side {
        margin: 0 60px;
    }

    .width-margin {
        width: calc(100% - 60px * 2);
    }


    .span-t-1 {
        grid-column: span 1;
    }

    .span-t-2 {
        grid-column: span 2;
    }

    .span-t-3 {
        grid-column: span 3;
    }

    .span-t-4 {
        grid-column: span 4;
    }

    .span-t-5 {
        grid-column: span 5;
    }

    .span-t-6 {
        grid-column: span 6;
    }
    


    h1 {
        font-size: 50px;
        line-height: 50px;
        filter: blur(1px);
    }

    .h1 p {
        font-size: 50px;
        line-height: 50px;
        filter: blur(1px);
    }

    h2 {
        font-size: 40px;
        line-height: 40px;
        filter: blur(1px);
    }

    p {
        font-size: 20px;
        line-height: 24px;
        font-weight: 600;
    }

    footer p {
        font-size: 20px;
        line-height: 24px;
    }

    span {
        font-size: 20px;
        line-height: 24px;
        font-weight: 600;
    }

     .line-top::before {
    height: 4.5px;
}

    /**/
    h1 {
        text-shadow:
            -0.5px -0.5px 0 var(--black),
            0.5px -0.5px 0 var(--black),
            -0.5px 0.5px 0 var(--black),
            0.5px 0.5px 0 var(--black);

        text-wrap: balance;
    }

    .h1 p {
        text-shadow:
            -0.5px -0.5px 0 var(--black),
            0.5px -0.5px 0 var(--black),
            -0.5px 0.5px 0 var(--black),
            0.5px 0.5px 0 var(--black);

        text-wrap: balance;
    }

    .home .h1 p {
        text-shadow:
            -0.5px -0.5px 0 var(--white),
            0.5px -0.5px 0 var(--white),
            -0.5px 0.5px 0 var(--white),
            0.5px 0.5px 0 var(--white);

        text-wrap: balance;
    }

    .home h1 {
        text-shadow:
            -0.5px -0.5px 0 var(--white),
            0.5px -0.5px 0 var(--white),
            -0.5px 0.5px 0 var(--white),
            0.5px 0.5px 0 var(--white);
    }

    h2 {
        text-shadow:
            -0.5px -0.5px 0 var(--black),
            0.5px -0.5px 0 var(--black),
            -0.5px 0.5px 0 var(--black),
            0.5px 0.5px 0 var(--black);

        text-wrap: balance;
    }

    .home h2 {
        text-shadow:
            -0.5px -0.5px 0 var(--white),
            0.5px -0.5px 0 var(--white),
            -0.5px 0.5px 0 var(--white),
            0.5px 0.5px 0 var(--white);
    }


    .flex-main {
    display: flex;
    flex-direction: column;
    row-gap: 50px;
}

    /*homepage*/
    .landing-hero-3 {
        align-self: flex-end;
        padding-bottom: 40px;
    }

    .landing-hero-2 {
        display: flex;
        justify-content: flex-end;
        align-content: center;
        align-items: center;
    }

    /*footer*/
    footer {
        width: calc(100% - 60px * 2);
    }

    .footer-main {
        row-gap: var(--marginSide) !important;
    }

    .footer-items.align-right {
        text-align: start;
    }

     .footer-main .align-center{
        text-align: left;
    }



    /*header*/
    header {
        padding: var(--gap20px) 60px;
        width: calc(100% - 60px * 2);
    }

        .logos {
    gap: 10px;
}

}


@media (max-width: 768px) {

    :root {
        --marginSide: 20px;
        --marginDesktop: 20px;
        --margin100px: 50px;
    }

    .mobile-none{
        display: none;
    }

    .desktop-none{
        display: block;
    }

    /*general*/
    .grid {
        display: grid;
        grid-template-columns: repeat(6, 1fr);
        row-gap: 20px;
        column-gap: 20px;
    }

    .margin-side {
        margin: 0 var(--marginSide);
    }

    .span-m-1 {
        grid-column: span 1;
    }

    .span-m-2 {
        grid-column: span 2;
    }

    .span-m-3 {
        grid-column: span 3;
    }

    .span-m-4 {
        grid-column: span 4;
    }

    .span-m-5 {
        grid-column: span 5;
    }

    .span-m-6 {
        grid-column: span 6;
    }

    main div {
        width: auto;
    }

    .desktop-none {
        display: block;
    }

    .flex-main {
        display: flex;
        flex-direction: column;
        row-gap: var(--marginSide);
    }

    .width-margin {
        width: calc(100% - var(--marginSide) * 2);
    }

    .line-top::before {
    height: 3px;
    
}

    /*fonts*/
    h1 {
        font-size: 32px;
        line-height: 32px;
        filter: blur(1px);
    }

    .h1 p {
        font-size: 32px;
        line-height: 32px;
        filter: blur(1px);
    }

    h2 {
        font-size: 25px;
        line-height: 25px;
        filter: blur(1px);
    }

    p {
        font-size: 16px;
        line-height: 20px;
        font-weight: 600;
    }

    footer p {
        font-size: 16px;
        line-height: 20px;
    }

    span {
        font-size: 16px;
        line-height: 20px;
        font-weight: 600;
    }

   .header-nav-mobile li a{
    font-size: 32px;
      line-height: 32px;

      text-shadow:
            -0.5px -0.5px 0 var(--black),
            0.5px -0.5px 0 var(--black),
            -0.5px 0.5px 0 var(--black),
            0.5px 0.5px 0 var(--black);
    }

    .home .header-nav-mobile li a{
    font-size: 32px;
      line-height: 32px;

      text-shadow:
            -0.5px -0.5px 0 var(--white),
            0.5px -0.5px 0 var(--white),
            -0.5px 0.5px 0 var(--white),
            0.5px 0.5px 0 var(--white);
    }

    /**/
    h1 {
        text-shadow:
            -0.5px -0.5px 0 var(--black),
            0.5px -0.5px 0 var(--black),
            -0.5px 0.5px 0 var(--black),
            0.5px 0.5px 0 var(--black);

        text-wrap: balance;
    }

    .h1 p {
        text-shadow:
            -0.5px -0.5px 0 var(--black),
            0.5px -0.5px 0 var(--black),
            -0.5px 0.5px 0 var(--black),
            0.5px 0.5px 0 var(--black);

        text-wrap: balance;
    }

    .home .h1 p {
        text-shadow:
            -0.5px -0.5px 0 var(--white),
            0.5px -0.5px 0 var(--white),
            -0.5px 0.5px 0 var(--white),
            0.5px 0.5px 0 var(--white);

        text-wrap: balance;
    }

    .home h1 {
        text-shadow:
            -0.5px -0.5px 0 var(--white),
            0.5px -0.5px 0 var(--white),
            -0.5px 0.5px 0 var(--white),
            0.5px 0.5px 0 var(--white);
    }

    h2 {
        text-shadow:
            -0.5px -0.5px 0 var(--black),
            0.5px -0.5px 0 var(--black),
            -0.5px 0.5px 0 var(--black),
            0.5px 0.5px 0 var(--black);

        text-wrap: balance;
    }

    .home h2 {
        text-shadow:
            -0.5px -0.5px 0 var(--white),
            0.5px -0.5px 0 var(--white),
            -0.5px 0.5px 0 var(--white),
            0.5px 0.5px 0 var(--white);
    }


    /*homepage*/
    .landing-hero {
        padding-top: 40px;
        height: calc((var(--vh, 1h)* 100) - var(--marginSide) - 20px - 20px - 20px);
        width: calc(100% - var(--marginSide) * 2);
    }

    .landing-hero-2 {
        display: flex;
        justify-content: flex-end;
        align-content: center;
        align-items: center;
    }

    .landing-hero-3 {
        align-self: flex-end;
        padding-bottom: calc(var(--marginSide) *2);
    }

    .landing-desktop {
        display: none;
    }

    .landing-mobile {
        display: block;
    }

    .landing-info-flex {
        display: flex;
        flex-direction: column;
        width: 100%;
        justify-content: space-between;
    }

    .landing-logo svg {
        width: 150px;
        height: auto;
        filter: blur(2px);
    }

    .landing-margintop-1 {
        padding-top: 150px;
    }

    .landing-margintop-2 {
        padding-top: 100px;
    }
    

    /*header*/
    header {
        padding: var(--gap20px) var(--marginSide);
        width: calc(100% - var(--marginSide) * 2);
    }

    .header-nav {
        display: none;
    }

    .header-language {
        display: none;
    }

    .menu{
        display: flex;
        flex-direction: column;
        gap:1em;
    }

    /*footer*/
    footer {
        width: calc(100% - var(--marginSide) * 2);
    }


    .footer-main {
        row-gap: calc(var(--marginSide) * 2) !important;
    }

    .footer-main .align-center{
        text-align: left;
    }

    .footer-items.align-right {
        text-align: start;
    }

    .logos img {
        height: 40px;
    }

    /*award single*/
    .image-half-main {
        flex-direction: column;
    }

    .image-half {
        width: 100%;
    }

    /**/
    .home .mobile-menu {
        width: 100vw;
        height: calc(var(--vh, 1h)* 100);
        background-color: var(--black);
    }

    .mobile-menu {
        width: 100vw;
        height: calc(var(--vh, 1h)* 100);
        background-color: var(--whiteBackground);
        display: flex;
        align-items: center;

        position: fixed;
        top: 0;
        z-index: 1;
    }

    .mobile-menu .header-nav {
        display: flex;
        align-items: center;
    }


    .header-nav-mobile nav ul {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 2em;
    }

    .header-nav-mobile li {
        font-size: 30px;
        text-wrap: pretty;
        list-style: none;
        position: relative;
        color: var(--black);
        filter: blur(1px);
    }

    .home .header-nav-mobile li {
        color: var(--white);
    }

    .header-nav-mobile li a {
        color: var(--black);
        text-decoration: none;
    }

    .home .header-nav-mobile li a {
        color: var(--white);
    }

    .header-nav-mobile li::before {
        content: "+";
        margin-right: 0.3em;
        color: inherit;
        font-weight: bold;
    }

    .header-nav-mobile .current-menu-item>a {
        text-decoration: underline;
    }

    .header-language-mobile {
        position: absolute;
        bottom: calc(var(--gap20px) * 2);
        width: 100%;
        text-align: center;
        display: flex;
        gap: 0.5em;
        justify-content: center;
    }



    .home .lang-separator {
        color: var(--white);
    }

    .lang-separator {
        color: var(--black);
    }

    #mobile-menu {
        opacity: 0;
        pointer-events: none;
        transition: opacity 0.3s ease;
    }

    #mobile-menu-label {
        cursor: pointer;
    }

    #mobile-menu.open {
        opacity: 1;
        pointer-events: auto;
    }

    .logos {
    gap: 10px;
}

}